diff --git a/tools/ocp-build/actions/buildActionCheck.ml b/tools/ocp-build/actions/buildActionCheck.ml
index 9685468..c7e76fb 100644
--- a/tools/ocp-build/actions/buildActionCheck.ml
+++ b/tools/ocp-build/actions/buildActionCheck.ml
@@ -459,13 +459,10 @@ let do_read_env p =
             Printf.eprintf "Scanning installed .ocp files in %S\n%!" dir;
           let dir = FileGen.of_string dir in
           env_ocp_files := ( BuildOCP.scan_root dir) @ !env_ocp_files
-        ) (!env_ocp_dirs @ cout.cout_meta_dirnames);
-        List.iter (fun dir ->
-          if verbose 3 then
-            Printf.eprintf "Scanning installed .ocp files in %S\n%!" dir;
-          let dir = FileGen.of_string dir in
-          env_ocp_files := ( BuildOCP.scan_root dir) @ !env_ocp_files
-        ) !arg_ocp_dirs;
+        ) ( !env_ocp_dirs
+          @ cout.cout_meta_dirnames
+          @ BuildConfig.get_path_var ~dflt:[] "OCPBUILD_OCP_DIRS"
+          @ !arg_ocp_dirs);
       BuildActions.time_step "   Done scanning env for .ocp files";
       BuildActions.time_step "Loading METAs...";
       List.iter (fun dirname ->
diff --git a/tools/ocp-build/buildConfig.ml b/tools/ocp-build/buildConfig.ml
index 54dc20c..8ed77fa 100644
--- a/tools/ocp-build/buildConfig.ml
+++ b/tools/ocp-build/buildConfig.ml
@@ -25,12 +25,17 @@ let sep_PATH =
 
 let sep_PATH_str = String.make 1 sep_PATH
 
-let get_PATH () =
+let get_path_var ?dflt varname =
   try
-    let path = Sys.getenv "PATH" in
+    let path = Sys.getenv varname in
     OcpString.split path sep_PATH
   with Not_found ->
-    failwith "Env variable PATH not defined"
+    match dflt with
+      | None -> failwith ("Env variable " ^ varname ^ " not defined")
+      | Some path -> path
+
+let get_PATH () =
+  get_path_var "PATH"
 
 let set_PATH path =
   MinUnix.putenv "PATH" (String.concat sep_PATH_str path)
diff --git a/tools/ocp-build/buildConfig.mli b/tools/ocp-build/buildConfig.mli
index f91a9fe..44f2a1b 100644
--- a/tools/ocp-build/buildConfig.mli
+++ b/tools/ocp-build/buildConfig.mli
@@ -12,6 +12,7 @@
 
 val number_of_cores : unit -> int
 val split_version : string -> string * string * string
+val get_path_var : ?dflt:string list -> string -> string list
 val find_in_PATH : string -> string list -> string
 val get_PATH : unit -> string list
 val set_PATH : string list -> unit
